- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# rabbitmq_global_parameter – Manage RabbitMQ global parameters

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Manage dynamic, cluster-wide global parameters for RabbitMQ

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required | Default: null | Name of the global parameter being set
node - | Default: "rabbit" | erlang node name of the rabbit we wish to configure
state - | Choices: present ← absent | Specify if user is to be added or removed
value - | Default: null | Value of the global parameter, as a JSON term

## Examples

    # Set the global parameter 'cluster_name' to a value of 'mq-cluster' (in quotes)
    - rabbitmq_global_parameter:
        name: cluster_name
        value: "{{ 'mq-cluster' | to_json }}"
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
name string | success | name of the global parameter being set Sample: cluster_name
value string | changed | value of the global parameter, as a JSON term Sample: the-cluster-name

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Juergen Kirschbaum (@jgkirschbaum)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.